[arch-commits] Commit in lib32-gdk-pixbuf2/repos/multilib-x86_64 (6 files)

Antonio Rojas arojas at archlinux.org
Fri Sep 13 18:57:25 UTC 2019


    Date: Friday, September 13, 2019 @ 18:57:23
  Author: arojas
Revision: 510390

archrelease: copy trunk to multilib-x86_64

Added:
  lib32-gdk-pixbuf2/repos/multilib-x86_64/PKGBUILD
    (from rev 510389, lib32-gdk-pixbuf2/trunk/PKGBUILD)
  lib32-gdk-pixbuf2/repos/multilib-x86_64/gdk-pixbuf-query-loaders-32.hook
    (from rev 510389, lib32-gdk-pixbuf2/trunk/gdk-pixbuf-query-loaders-32.hook)
  lib32-gdk-pixbuf2/repos/multilib-x86_64/lib32-gdk-pixbuf2.install
    (from rev 510389, lib32-gdk-pixbuf2/trunk/lib32-gdk-pixbuf2.install)
Deleted:
  lib32-gdk-pixbuf2/repos/multilib-x86_64/PKGBUILD
  lib32-gdk-pixbuf2/repos/multilib-x86_64/gdk-pixbuf-query-loaders-32.hook
  lib32-gdk-pixbuf2/repos/multilib-x86_64/lib32-gdk-pixbuf2.install

----------------------------------+
 PKGBUILD                         |  110 ++++++++++++++++++-------------------
 gdk-pixbuf-query-loaders-32.hook |   22 +++----
 lib32-gdk-pixbuf2.install        |    6 +-
 3 files changed, 69 insertions(+), 69 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-09-13 18:56:49 UTC (rev 510389)
+++ PKGBUILD	2019-09-13 18:57:23 UTC (rev 510390)
@@ -1,55 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Ionut Biru <ibiru at archlinux.org>
-
-pkgname=lib32-gdk-pixbuf2
-pkgver=2.38.1
-pkgrel=1
-pkgdesc="An image loading library (32-bit)"
-arch=(x86_64)
-url="https://wiki.gnome.org/Projects/GdkPixbuf"
-license=(LGPL2.1)
-depends=(lib32-glib2 lib32-libpng lib32-libtiff lib32-libjpeg lib32-libx11 gdk-pixbuf2)
-makedepends=(gtk-doc gobject-introspection git docbook-xsl meson)
-install=lib32-gdk-pixbuf2.install
-_commit=2bb565093b8a93b35a2be61d6f4a01352fe94af6  # tags/2.38.1^0
-source=("git+https://gitlab.gnome.org/GNOME/gdk-pixbuf.git#commit=$_commit"
-        gdk-pixbuf-query-loaders-32.hook)
-sha256sums=('SKIP'
-            '3fed95ad7075698313caba78c84b4f7eb9935cc5c8cc99412fc56d8d34ef700f')
-
-pkgver() {
-  cd gdk-pixbuf
-  git describe --tags | sed 's/-/+/g'
-}
-
-prepare() {
-  cd gdk-pixbuf
-}
-
-build() {
-  export CC="gcc -m32"
-  export CXX="g++ -m32"
-  export PKG_CONFIG_PATH="/usr/lib32/pkgconfig"
-  export CFLAGS="-I/usr/include/libtiff32 $CFLAGS"
-
-  arch-meson gdk-pixbuf build \
-    --libdir /usr/lib32 \
-    -D installed_tests=false
-  ninja -C build
-}
-
-check() {
-  cd build
-  # pixbuf-randomly-modified fails randomly
-  meson test -t 3 || :
-}
-
-package() {
-  DESTDIR="$pkgdir" meson install -C build
-  rm -rf "$pkgdir"/usr/{include,lib,share}
-  find "$pkgdir/usr/bin" -type f -not -name gdk-pixbuf-query-loaders -delete
-  mv "$pkgdir"/usr/bin/gdk-pixbuf-query-loaders{,-32}
-  install -Dt "$pkgdir/usr/share/libalpm/hooks" -m644 *.hook
-}
-
-# vim:set ts=2 sw=2 et:

Copied: lib32-gdk-pixbuf2/repos/multilib-x86_64/PKGBUILD (from rev 510389, lib32-gdk-pixbuf2/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-09-13 18:57:23 UTC (rev 510390)
@@ -0,0 +1,55 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Ionut Biru <ibiru at archlinux.org>
+
+pkgname=lib32-gdk-pixbuf2
+pkgver=2.38.2
+pkgrel=1
+pkgdesc="An image loading library (32-bit)"
+arch=(x86_64)
+url="https://wiki.gnome.org/Projects/GdkPixbuf"
+license=(LGPL2.1)
+depends=(lib32-glib2 lib32-libpng lib32-libtiff lib32-libjpeg lib32-libx11 gdk-pixbuf2)
+makedepends=(gtk-doc gobject-introspection git docbook-xsl meson)
+install=lib32-gdk-pixbuf2.install
+_commit=ab27f7c5b8a0d2fb899130082dcd3ec310478222  # tags/2.38.2^0
+source=("git+https://gitlab.gnome.org/GNOME/gdk-pixbuf.git#commit=$_commit"
+        gdk-pixbuf-query-loaders-32.hook)
+sha256sums=('SKIP'
+            '3fed95ad7075698313caba78c84b4f7eb9935cc5c8cc99412fc56d8d34ef700f')
+
+pkgver() {
+  cd gdk-pixbuf
+  git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+  cd gdk-pixbuf
+}
+
+build() {
+  export CC="gcc -m32"
+  export CXX="g++ -m32"
+  export PKG_CONFIG_PATH="/usr/lib32/pkgconfig"
+  export CFLAGS="-I/usr/include/libtiff32 $CFLAGS"
+
+  arch-meson gdk-pixbuf build \
+    --libdir /usr/lib32 \
+    -D installed_tests=false
+  ninja -C build
+}
+
+check() {
+  cd build
+  # pixbuf-randomly-modified fails randomly
+  meson test -t 3 || :
+}
+
+package() {
+  DESTDIR="$pkgdir" meson install -C build
+  rm -rf "$pkgdir"/usr/{include,lib,share}
+  find "$pkgdir/usr/bin" -type f -not -name gdk-pixbuf-query-loaders -delete
+  mv "$pkgdir"/usr/bin/gdk-pixbuf-query-loaders{,-32}
+  install -Dt "$pkgdir/usr/share/libalpm/hooks" -m644 *.hook
+}
+
+# vim:set ts=2 sw=2 et:

Deleted: gdk-pixbuf-query-loaders-32.hook
===================================================================
--- gdk-pixbuf-query-loaders-32.hook	2019-09-13 18:56:49 UTC (rev 510389)
+++ gdk-pixbuf-query-loaders-32.hook	2019-09-13 18:57:23 UTC (rev 510390)
@@ -1,11 +0,0 @@
-[Trigger]
-Type = File
-Operation = Install
-Operation = Upgrade
-Operation = Remove
-Target = usr/lib32/gdk-pixbuf-2.0/2.10.0/loaders/*.so
-
-[Action]
-Description = Probing 32-bit GDK-Pixbuf loader modules...
-When = PostTransaction
-Exec = /usr/bin/gdk-pixbuf-query-loaders-32 --update-cache

Copied: lib32-gdk-pixbuf2/repos/multilib-x86_64/gdk-pixbuf-query-loaders-32.hook (from rev 510389, lib32-gdk-pixbuf2/trunk/gdk-pixbuf-query-loaders-32.hook)
===================================================================
--- gdk-pixbuf-query-loaders-32.hook	                        (rev 0)
+++ gdk-pixbuf-query-loaders-32.hook	2019-09-13 18:57:23 UTC (rev 510390)
@@ -0,0 +1,11 @@
+[Trigger]
+Type = File
+Operation = Install
+Operation = Upgrade
+Operation = Remove
+Target = usr/lib32/gdk-pixbuf-2.0/2.10.0/loaders/*.so
+
+[Action]
+Description = Probing 32-bit GDK-Pixbuf loader modules...
+When = PostTransaction
+Exec = /usr/bin/gdk-pixbuf-query-loaders-32 --update-cache

Deleted: lib32-gdk-pixbuf2.install
===================================================================
--- lib32-gdk-pixbuf2.install	2019-09-13 18:56:49 UTC (rev 510389)
+++ lib32-gdk-pixbuf2.install	2019-09-13 18:57:23 UTC (rev 510390)
@@ -1,3 +0,0 @@
-pre_remove() {
-    rm -f usr/lib32/gdk-pixbuf-2.0/2.10.0/loaders/loaders.cache
-}

Copied: lib32-gdk-pixbuf2/repos/multilib-x86_64/lib32-gdk-pixbuf2.install (from rev 510389, lib32-gdk-pixbuf2/trunk/lib32-gdk-pixbuf2.install)
===================================================================
--- lib32-gdk-pixbuf2.install	                        (rev 0)
+++ lib32-gdk-pixbuf2.install	2019-09-13 18:57:23 UTC (rev 510390)
@@ -0,0 +1,3 @@
+pre_remove() {
+    rm -f usr/lib32/gdk-pixbuf-2.0/2.10.0/loaders/loaders.cache
+}


More information about the arch-commits mailing list